summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author/C=DE/ST=Berlin/L=Berlin/O=Netfilter Project/OU=Development/CN=laforge/emailAddress=laforge@netfilter.org </C=DE/ST=Berlin/L=Berlin/O=Netfilter Project/OU=Development/CN=laforge/emailAddress=laforge@netfilter.org>2005-11-14 14:50:30 +0000
committer/C=DE/ST=Berlin/L=Berlin/O=Netfilter Project/OU=Development/CN=laforge/emailAddress=laforge@netfilter.org </C=DE/ST=Berlin/L=Berlin/O=Netfilter Project/OU=Development/CN=laforge/emailAddress=laforge@netfilter.org>2005-11-14 14:50:30 +0000
commit64c87558b44c9f4701dd1ff3cb59997bd7734fc0 (patch)
tree2e81e79f4bdc0daa2248aec6aec08fff048aa072
parent1fb834fd7c2784d9bf2c70832af8b55d560a968e (diff)
This patch add the ability to copy and mangle the kernel headers
required by libnfnetlink and libnetfilter_[queue|log|conntrack] at autogen.sh stage. (Pablo Neira)
-rwxr-xr-xautogen.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
index ccce4f0..08d7e72 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,5 +1,24 @@
#!/bin/sh
+include ()
+{
+ # If we keep a copy of the kernel header in the SVN tree, we'll have
+ # to worry about synchronization issues forever. Instead, we just copy
+ # the headers that we need from the lastest kernel version at autogen
+ # stage.
+
+ INCLUDEDIR=/lib/modules/`uname -r`/build/include/linux
+ if [ -f $INCLUDEDIR/netfilter/nfnetlink.h ]
+ then
+ TARGET=include/libnfnetlink/linux_nfnetlink.h
+ echo "Copying nfnetlink.h to linux_nfnetlink.h"
+ cp $INCLUDEDIR/netfilter/nfnetlink.h $TARGET
+ else
+ echo "can't find nfnetlink.h kernel file"
+ exit 1
+ fi
+}
+
run ()
{
echo "running: $*"
@@ -11,6 +30,7 @@ run ()
fi
}
+include
run aclocal
#run autoheader
run libtoolize -f